gnutls_pkcs7_delete_crl(3)

NAME
gnutls_pkcs7_delete_crl - deletes a CRL from a PKCS7 crl set

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_delete_crl(gnutls_pkcs7_t pkcs7, int indx);

ARGUMENTS

gnutls_pkcs7_t pkcs7

int indx
    the index of the crl to delete

DESCRIPTION
This function will delete a crl from a PKCS7 or RFC2630 crl set. Index starts from 0. Returns 0 on success.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.